
QGIS Application - Bug report #14648

Windows: crash on exit after having created a Processing layer

2016-04-09 02:42 AM - Giovanni Manghi

Status: Closed

Priority: Severe/Regression

Assignee: Victor Olaya

Category: Processing/QGIS

Affected QGIS version:2.16.1 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: duplicate

Crashes QGIS or corrupts data:Yes Copied to github as #: 22612

Description

As seens on master and 2.14.1 on Windows installed with osgeo4w in a completely clean environment. Linux does not seems affected.

steps:

open the project "geomorpho" here

https://github.com/qgis/QGIS-Documentation/tree/master/source/docs/training_manual/exercise_data/processing/more_backends

compute zonal stats (with Processing/QGIS tool) as a temporary output layer

exit QGIS (choosing to discard project changes)

crash

History

#1 - 2016-05-22 11:12 AM - Giovanni Manghi

- Resolution set to not reproducable

- Status changed from Open to Closed

closing because of #14858. Not sure how I did manage to have a working qgis/processing/zonal stats on 2.14.1/master. I will try again once #14858 is

solved.

#2 - 2016-05-22 11:52 AM - Giovanni Manghi

- Resolution deleted (not reproducable)

- Status changed from Closed to Reopened

- Category set to Processing/QGIS

instead of zonal stats/processing/qgis try hypsometric curves/processing/qgis (same test project). Crash 100% in exit.

#3 - 2016-06-22 12:53 AM - Giovanni Manghi

- Assignee set to Victor Olaya

#4 - 2016-07-03 12:14 AM - Giovanni Manghi

- Subject changed from Windows: crash on exit after having created a Processing temporary layer to Windows: crash on exit after having created a 

Processing layer
https://github.com/qgis/QGIS-Documentation/tree/master/source/docs/training_manual/exercise_data/processing/more_backends


still true on the latest master and the development branch of 2.14.

#5 - 2016-08-31 02:55 PM - Giovanni Manghi

- Affected QGIS version changed from master to 2.16.1

still true on 2.16.2 but seems fine on master.

#6 - 2016-09-21 12:55 AM - Giovanni Manghi

- Resolution set to duplicate

- Status changed from Reopened to Closed

Closed in favor of #13061, the underlying issue is the same.
